Subject: Re: Don't seem to be able to use CPAN after recent Cygwin updates (ma ybe)
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 25 Sep 2003 09:36:26 +0200

Hallo Michael,

you wrote:

> I used to be able to use CPAN (only a week or so ago) but now it seems to
> time out. I thought it might be a network / firewall type thing but I can
> use ncftp ok. See below ...

> $ cpan Perl::Tokenizer
> CPAN: Storable loaded ok
> Going to read /home/wardmm/.cpan/Metadata
>   Database was generated on Tue, 23 Sep 2003 00:45:53 GMT
> Going to read /home/wardmm/.cpan/sources/authors/01mailrc.txt.gz
> CPAN: Compress::Zlib loaded ok
> CPAN: LWP::UserAgent loaded ok
> Fetching with LWP:
>   ftp://ftp.planetmirror.com/pub/perl/CPAN/modules/02packages.details.txt.gz
> LWP failed with code[400] message[FTP return code 000]
[...]

Looks like network problems.

> (and so on --- had to can it)

> (but i can get the file ok ... ?? )

> $ ncftpget
> ftp://ftp.planetmirror.com/pub/perl/CPAN/modules/02packages.details.txt.gz
> Who are you?
> You have a user id number of 4012, but no username associated with it.
> 02packages.details.txt.gz:                             237.34 kB    3.11
> kB/s

> Does anyone have an idea what is going on here? Or what I could try?
> I'm a long-term cygwin user but I don't really know what's going on
> underneath.

You didn't told me which version of cygwin `uname -svr` and which
version of perl `perl -V` (capital V) you're using now.
Please *attach* also the output of cygcheck -svr to your reply.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/